Felo API PlatformFelo API Platform

LLM API

LLM API

OpenAI-compatible 및 Anthropic-compatible 프로토콜로 Felo 모델 endpoint를 호출하세요.

GET/api/v1/models

인증

Bearer API key or X-API-Key

Content type

application/json

속도 제한

Model service limits may apply. Retry with backoff on 429 or 503.

LLM API 은 Felo API Platform から direct model calling endpoints 를提供します。general-purpose language models 를呼び出す、OpenAI-compatible / Anthropic-compatible clients 를再利用する、agent frameworks 를接続する場合에사용합니다。

  • POST /api/v1/responses: OpenAI Responses compatible
  • POST /api/v1/chat/completions: OpenAI Chat Completions compatible
  • POST /api/v1/messages: Anthropic Messages compatible

제공 예정: Decisions API

공개 API에서는 아직 사용할 수 없습니다. 사용 가능 여부를 확인한 후 예제를 실행하세요.

POST https://openapi.felo.ai/api/v1/decisions

jev-1.13(typesafe/jev-1.13도 허용)에 상태와 유형이 지정된 질문을 전달합니다. Chat Completions, Messages, Responses 대신 /api/v1/decisions를 사용하세요. 스트리밍은 지원하지 않습니다.

요청 필드

  • model: jev-1.13
  • state: 평가할 컨텍스트입니다. 문자열 또는 JSON 값입니다.
  • questions: 이름을 키로 하는 질문 객체입니다. 각 질문은 type, instructions, criteria를 포함합니다.
import os
import requests

response = requests.post(
    "https://openapi.felo.ai/api/v1/decisions",
    headers={"Authorization": f"Bearer {os.environ['FELO_API_KEY']}"},
    json={
        "model": "jev-1.13",
        "state": "Help! My payouts have been failing for 3 days.",
        "questions": {
            "is_urgent": {
                "type": "noul",
                "instructions": "Does this message convey urgency?",
                "criteria": {"true": "Time-sensitive", "false": "No urgency"},
            },
            "department": {
                "type": "choice",
                "instructions": "Which team should handle this?",
                "criteria": {
                    "billing": "Payments, invoicing, refunds",
                    "technical": "Bugs, outages, integrations",
                    "sales": "Pricing, upgrades, new accounts",
                },
            },
            "frustration": {
                "type": "score",
                "instructions": "How frustrated is the customer?",
                "criteria": ["Calm", "Frustrated", "Very angry"],
            },
        },
    },
    timeout=60,
)
response.raise_for_status()
answers = response.json()["answers"]
print(answers["is_urgent"]["noul"])
print(answers["department"]["choice"], answers["department"]["probabilities"])
print(answers["frustration"]["score"])

응답 유형

noul: 0에서 1 사이의 확률. choice: 선택된 항목과 확률 분포. score: 순서가 있는 기준의 숫자 점수와 확률 분포.

오류는 숫자 HTTP 상태인 error.code와 error.message를 반환합니다. answers를 읽기 전에 비 2xx 응답을 처리하세요.

사용량 및 가격

응답에는 usage.input_tokens, usage.output_tokens가 포함되며 usage.cost가 포함될 수도 있습니다. 2026-09-22 확인한 참고 요금은 입력 100만 tokens당 0.042달러, 출력은 0달러입니다. 출력이 무료여도 입력은 과금됩니다. 요금은 변경될 수 있으므로 공개 모델 요금과 계정에 적용되는 할인을 확인하세요.

인증

Authorization: Bearer YOUR_API_KEY

Base URL

https://openapi.felo.ai

Anthropic SDK で은 https://openapi.felo.ai/api 를사용합니다。

Model Discovery

전체 카탈로그에는 모든 모델 유형이 포함됩니다. 동영상 모델과 의사결정 모델은 전용 목록으로 조회할 수 있습니다.

엔드포인트모델 유형
GET /api/v1/models모든 유형(기존 동작 유지)
GET /api/v1/videos/models동영상 생성 (video_generation)
GET /api/v1/decisions/modelsJev를 포함한 의사결정 모델 (decisions)

세 엔드포인트 모두 선택적 쿼리 매개변수 provider(예: openrouter)를 지원하며 {"object":"list","data":[...]}를 반환합니다. 각 항목에는 id, object, created, owned_by, model_kind가 포함됩니다. 전용 목록은 활성 공급자 매핑이 적용된 최종 유형으로 분류합니다.

삭제되지 않고 활성화되어 있으며 목록 표시가 허용되고 공급자 조건에 맞는 현재 가격이 있는 모델만 반환합니다. 가격 0도 유효합니다. 새로 동기화된 모델은 기본적으로 숨겨지므로 관리자가 표시를 켜야 합니다. 세 목록은 관리자 지정 정렬을 공유하며 동률이면 모델 이름과 ID 순으로 정렬합니다. 결과가 없으면 HTTP 200과 빈 data 배열을 반환합니다. 로컬 카탈로그만 읽으며 모델 호출이나 과금은 발생하지 않습니다.

GET /api/v1/models만 exclude_video_and_decisions(불리언, 기본값 false)를 지원합니다. true로 설정하면 최종 유형이 video_generation 또는 decisions인 모델을 제외하며 이미지 모델은 유지합니다. provider와 함께 사용할 수 있습니다. 생략하거나 false로 설정하면 전체 카탈로그를 반환합니다. 잘못된 불리언 값은 HTTP 422를 반환합니다.

curl "https://openapi.felo.ai/api/v1/models?exclude_video_and_decisions=true&provider=openrouter" \
  -H "Authorization: Bearer ${FELO_API_KEY}"
curl "https://openapi.felo.ai/api/v1/videos/models?provider=openrouter" \
  -H "Authorization: Bearer ${FELO_API_KEY}"
curl "https://openapi.felo.ai/api/v1/decisions/models?provider=openrouter" \
  -H "Authorization: Bearer ${FELO_API_KEY}"

model_kind에 맞는 호출 경로를 선택하세요. chat은 모델이 지원하는 Responses, Chat Completions 또는 Messages, video_generation은 POST /api/v1/videos/generations, decisions는 POST /api/v1/decisions, image_generation은 POST /api/v1/images/generations를 사용합니다. 상세 조회는 기존 GET /api/v1/models/{model_id}를 사용합니다. 목록에 있는 모든 모델이 대화 API를 지원하는 것은 아닙니다.

모델 및 가격

Model IDContextMax outputInput / 1M tokensOutput / 1M tokensCache read / 1M tokensCache write / 1M tokens
claude-haiku-4-5200K64K$1.00$5.00$0.10$1.25
claude-sonnet-4-61M128K$3.00$15.00$0.30$3.75
claude-opus-4-81M128K$5.00$25.00$0.50$6.25
claude-sonnet-51M128K$2.00$10.00$0.20$2.50
claude-haiku-5-51M128K$0.10$0.50$0.01$0.0125
gpt-5.51.05M128K$5.00$30.00$0.50-
gpt-5.5-pro1.05M128K$30.00$180.00--
gpt-5.6-luna1.05M128K$1.00$6.00$0.10$1.25
gpt-5.6-terra1.05M128K$2.50$15.00$0.25$3.125
gpt-5.6-sol1.05M128K$5.00$30.00$0.50$6.25
grok-4.5500K-$2.00$6.00$0.50-
deepseek-v4-flash1M384K$0.09$0.18$0.018-

Claude Haiku 5.5는 단계별 요금제를 사용합니다. prompt가 100K 토큰 이하이면 위의 표준 요금이 적용되고, 단일 요청의 prompt가 100K 토큰을 초과하면 요청 전체가 긴 컨텍스트 요금(입력 $0.50, 출력 $2.50, 캐시 읽기 $0.05, 캐시 쓰기 $0.0625 / 100만 토큰)으로 청구됩니다.

GPT-5.6은 세 가지 티어로 제공됩니다. Luna는 빠르고 비용 효율적인 워크로드에, Terra는 coding, 추론, agentic task의 균형형에, Sol은 복잡한 추론과 coding을 위한 flagship 티어에 적합합니다. 각 티어는 동일한 기반 모델을 pro reasoning mode로 사용하는 -pro model ID(gpt-5.6-luna-pro, gpt-5.6-terra-pro, gpt-5.6-sol-pro)도 제공합니다. -pro ID의 가격, 컨텍스트 길이, 최대 출력은 동일합니다.

DeepSeek V4 Flash는 사고 및 비사고 모드, JSON 출력, 도구 호출, Responses API, Anthropic API 호환성을 지원합니다. Felo의 Responses, Chat Completions, Messages surface에서 사용할 수 있으며 캐시 쓰기 가격은 아직 공개되지 않았습니다.

Basic Usage

export FELO_API_KEY="YOUR_API_KEY"
import Anthropic from "@anthropic-ai/sdk";

const client = new Anthropic({
  apiKey: process.env.FELO_API_KEY,
  baseURL: "https://openapi.felo.ai/api",
});

Protocol Reference

응답s

POST https://openapi.felo.ai/api/v1/responses

Chat Completions

POST https://openapi.felo.ai/api/v1/chat/completions

Messages

POST https://openapi.felo.ai/api/v1/messages

Claude Code setup 은 Claude Code Configuration 를참조하세요。